var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
var machineid = $.getUrlParam("machineid");
var listid = $.getUrlParam("listid");
$(function(){
 
	initDefault();	
});
//默认
function initDefault(){
	/*
	$('#xx5').combobox({  
		url:'xtclAction!query_Xtcl.do?csdl=xx5&page=1&rows=1000', 
		textField:"csmc",  
		valueField:"csdm",
		panelWidth:148,
		loadFilter:function(data){
			//data.unshift({"csmc":"选择","csdm":""});
			return data;
		}
	});
	*/
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	sParam.LIKEsoftwarename = $('#LIKEsoftwarename').textbox("getValue");
	sParam.LIKEsoftwaretype = $('#LIKEsoftwaretype').textbox("getValue");
	sParam.LIKEsoftwareservername = $('#LIKEsoftwareservername').textbox("getValue");
	sParam.listid = listid;
	sParam.order = "order by createTime desc ";
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [
	/*{
    	text    :	'刷新',
        iconCls : 	'icon-refresh',
        handler : 	function(){location.reload(true);}
    },*/{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete_batch
    },{
        text	:	'启用',
        iconCls	:	'icon-start',
        handler	:	switchOpen
    },{
        text	:	'停止',
        iconCls	:	'icon-end',
        handler	:	switchClose
    }];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:false,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywsoftwareinfoAction!listYwsoftwareinfoByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'softwareid',title:'softwareid',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
 			{field:'softwaretype',title:'应用类型',hidden:false,width:120},
			{field:'softwarename',title:'应用名称',hidden:false,width:120},
			{field:'softwareservername',title:'应用服务名称',hidden:false,width:120},
			{field:'softwarecategorymc',title:'所属分类',hidden:false,width:120},
			{field:'csmc',title:'是否启用',hidden:false,width:120}
			
		]]
	});
}
//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwareinfoAction!delete_Ywsoftwareinfo.do',
			data:{
				softwareid	:	selRows.softwareid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];	
	 if(selRows===null || selRows.length<1){		 
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].softwareid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywsoftwareinfoAction!batch_delete_Ywsoftwareinfo.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(flag == "success"){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	380,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/softwaremanage/softwareinfo/ywsoftwareinfo_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	console.log("selRow: ",selRows);
	console.log("selRows: ",$('#tableGrid').datagrid('getRows'));
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	380,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/softwaremanage/softwareinfo/ywsoftwareinfo_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	model.softwaredescribe = jq('#softwaredescribe').val();
	if(toEdit){//修改
		model.XGTJsoftwareid = jq('#softwareid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwareinfoAction!update_Ywsoftwareinfo.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
 		model.listid = listid;
		model.machineid = machineid;
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywsoftwareinfoAction!insert_Ywsoftwareinfo.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'));
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	if(selRows.length > 1){
		$.showMsg('请选择一行! ');
	}else{
		if(selIndex==-1){
			$.showMsg('请先选择一行! ');
			 return;
		}else{
			doUpdate(selIndex);
		}	
	}
		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/ywsoftwareinfo_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywsoftwareinfoAction!count_Ywsoftwareinfo.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywsoftwareinfoAction!exp_Ywsoftwareinfo.do?'+downParam;
	document.excelForm.submit(); 
}

function switchOpen(){
	var selRows = $('#tableGrid').datagrid('getChecked');
	var ids = '';
	if(selRows===null || selRows.length<1){
		$.showMsg('请先选择一行! ');
		return;
	}else{
		selRows.forEach(function(item){
			ids += item.softwareid+',';
		})
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywsoftwareinfoAction!edit_Ywsoftwareinfo.do',
			 data:{'ids':ids,'detectionswitch':1},
			 success:function(res){
			 	if(res=="success"){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}

function switchClose(){
	var selRows = $('#tableGrid').datagrid('getChecked');
	var ids = '';
	if(selRows===null){
		$.showMsg('请先选择一行! ');
		return;
	}else{
		selRows.forEach(function(item){
			ids += item.softwareid+',';
		})
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywsoftwareinfoAction!edit_Ywsoftwareinfo.do',
			 data:{'ids':ids,'detectionswitch':0},
			 success:function(res){
			 	if(res=="success"){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}